LibreOffice: FilterOptionsDialog Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
FilterOptionsDialog Service Referencepublished

This service enables a filter developer to register a dialog to query for user options before the filter operation is performed. More...

Inheritance diagram for FilterOptionsDialog:

## Exported Interfaces
interface | com::sun::star::beans::XPropertyAccess
| this interface is used to set the property values of the com::sun::star::document::MediaDescriptor before executing the dialog and to retrieve the changed com::sun::star::document::MediaDescriptor
interface | ::com::sun::star::ui::dialogs::XExecutableDialog
| this interface executes a dialog that displays the options for a filter.

## Additional Inherited Members
Public Member Functions inherited from XPropertyAccess
sequence< com::sun::star::beans::PropertyValue > | getPropertyValues ()
void | setPropertyValues ([in] sequence< com::sun::star::beans::PropertyValue > aProps) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values of given properties.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XExecutableDialog
void | setTitle ([in] string aTitle)
| Sets the title of the dialog.
short | execute ()
| Executes (shows) the dialog.

## Detailed Description

This service enables a filter developer to register a dialog to query for user options before the filter operation is performed.

The user options are stored inside the com::sun::star::document::MediaDescriptor and can be queried from the com::sun::star::document::MediaDescriptor by the component that implements com::sun::star::document::XFilter.

The application will set the com::sun::star::document::MediaDescriptor using the interface com::sun::star::beans::XPropertyAccess and then call XExecutableDialog::execute().

If that method returns `ExecutableDialogResults::OK`, the application will retrieve the changed com::sun::star::document::MediaDescriptor back using the interface com::sun::star::beans::XPropertyAccess. The filter operation is then continued, using the new com::sun::star::document::MediaDescriptor.

Otherwise, the filter operation is canceled.

Since
  OOo 1.1.2

## Exported Interfaces

## ◆ ::com::sun::star::ui::dialogs::XExecutableDialog

interface ::com::sun::star::ui::dialogs::XExecutableDialog

this interface executes a dialog that displays the options for a filter.

If XExecutableDialog::execute() returns `ExecutableDialogResults::OK`, the options can be retrieved by calling com::sun::star::beans::XPropertyAccess::getPropertyValues.

## ◆ com::sun::star::beans::XPropertyAccess

interface com::sun::star::beans::XPropertyAccess

this interface is used to set the property values of the com::sun::star::document::MediaDescriptor before executing the dialog and to retrieve the changed com::sun::star::document::MediaDescriptor

afterwards.

The documentation for this service was generated from the following file:

- com/sun/star/ui/dialogs/FilterOptionsDialog.idl